
/**
 * 
 * @imports
 */
import ENV from '../ENV.js';

/**
 * Returns all, only text nodes.
 *
 * @param DOMElement 			el
 *
 * @return array
 */
export default function(el) {
	// Filter
	var rejectScriptTextFilter = {
		acceptNode: function(node) {
			if (node.parentNode.nodeName !== 'SCRIPT') {
				return ENV.window.NodeFilter.FILTER_ACCEPT;
			}
		}
	};
	// Walker
	var walker = ENV.window.document.createTreeWalker(el, ENV.window.NodeFilter.SHOW_TEXT, rejectScriptTextFilter, false);
	var node;
	var textNodes = [];
	while(node = walker.nextNode()) {
		textNodes.push(node.nodeValue);
	}
	return textNodes;
};
